- name: Add postgresql key
  apt_key:
    url: https://www.postgresql.org/media/keys/ACCC4CF8.asc
    state: present

- name: add postgres repo
  apt_repository:
    repo: deb http://apt.postgresql.org/pub/repos/apt/ stretch-pgdg main
    state: present

- name: install postgresql 11
  package:
    name: "{{ item }}"
    state: present
  with_items:
    - postgresql-11
    - python3-psycopg2

- name: "Ensure postgresql config"
  template:
    src: "postgresql.conf.j2"
    dest: "/etc/postgresql/11/main/postgresql.conf"
    owner: "postgres"
    group: "postgres"
    mode: 0644
  notify:
    - "Restart postgresql"

- name: "Ensure pg_hba config"
  template:
    src: "pg_hba.conf.j2"
    dest: "/etc/postgresql/11/main/pg_hba.conf"
    owner: "postgres"
    group: "postgres"
    mode: 0640
  notify:
    - "Restart postgresql"

- name: Enable service postgresql on boot
  service:
    name: postgresql
    enabled: yes

- sysctl:
    name: vm.overcommit_memory
    value: '2'
    state: present
